搭建基于ubuntu的内核开发环境

AutoAsm hp 技术经理  2011-09-19 09:03:55

http://blog.csdn.net/autoasm/article/details/6791339

内核开发的版本依赖问题

Linux 内核模块与运行内核之间存在着版本依赖。如果编译内核模块使用的代码树与运行内核的版本不完全匹配,则在用insmod安装模块时,很可能会产生Invalid module format. 错误。

为了解决这个问题,要么使用与当前运行内核完全匹配的代码树来编译内核模块,要么用手头的内核代码重新构建并安装内核。

在本文的以下内容中,将介绍如何在Ubuntu系统上构建并安装新的Linux内核。

...全文
37 点赞 收藏 1
写回复
1 条回复
luozhao1984 2011年09月20日
咋啥都没有啊?
回复 点赞
发动态
发帖子
非技术区
创建于2007-09-28

711

社区成员

6300

社区内容

硬件/嵌入开发 非技术区
社区公告
暂无公告